# markdown-to-html-renderer

A simple library to render Markdown content to HTML using Node.js.

## Installation

```bash
npm install markdown-to-html-renderer
```

## Usage

```javascript
const markdownToHtml = require('markdown-to-html-renderer');

const markdownContent = `
# Hello, World!

This is a **Markdown** example.

- List item 1
- List item 2
`;

const htmlContent = markdownToHtml(markdownContent);
console.log(htmlContent);
```

## Options

This library utilizes [marked](https://www.npmjs.com/package/marked) for Markdown parsing, [dompurify](https://www.npmjs.com/package/dompurify) for HTML sanitization, and [highlight.js](https://www.npmjs.com/package/highlight.js) for code syntax highlighting.

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
